Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160122 - startconsole binary fails to start
Summary: startconsole binary fails to start
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 7.1
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-10 22:00 UTC by Justin Hayek
Modified: 2015-12-07 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:39:23 UTC


Attachments (Terms of Use)

Description Justin Hayek 2005-06-10 22:00:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
when attempting to run the startconsole binary, it complains about syntax errors near unexpected token `('

Version-Release number of selected component (if applicable):
fedora-ds-7.1-2.RHEL4.i386.opt.rpm

How reproducible:
Always

Steps to Reproduce:
1. run setup script located in /opt/fedora-ds/setup
2. choose step 2, and follow prompts
3. script completes with no errors
4. run startconsole binary, which gives an error
  

Actual Results:  This is what the error message is:

sh: -c: line 0: syntax error near unexpected token `('
sh: -c: line 0: `/opt/fedora-ds/bin/base/jre/bin/java -ms8m -mx64m  -cp .:./base.jar:./mcc70_en.jar:./nmclf70_en.jar:./ldapjdk.jar:./nmclf70.jar:./jss3.jar:./mcc70.jar -Djava.library.path=/opt/fedora-ds/lib/jss -Djava.util.prefs.systemRoot=/opt/fedora-ds/java/.java -Djava.util.prefs.userRoot=/opt/fedora-ds/java com.netscape.management.client.console.Console -A http://fedora.(none):52401'

Expected Results:  The console application starts

Additional info:

I got the console to start by using this command:

./startconsole -a http://myhost:port

where myhost is the fully qualified domain name of my machine and port is the random port that was assigned by the setup script.

Comment 1 Sean Cotter 2005-07-25 16:02:40 UTC
not cloned

Comment 2 Rich Megginson 2005-12-01 17:07:51 UTC
1) You need to make sure the hostname and the domainname commands output valid
informtion.
2) FDS 1.0 now prints out the command to use to run the console after setup is
complete.


Comment 3 Michael Gregg 2007-11-16 01:25:24 UTC
verified aginst:
1193765112 redhat-idm-console-1.0.0-13.el5idm Tue Oct 30 2007 
1195175431 redhat-ds-base-8.0.0-11.el5dsrv Thu Nov 15 2007 
1195175434 redhat-ds-admin-8.0.0-1.15.el5dsrv Thu Nov 15 2007 
1195175436 redhat-ds-console-8.0.0-8.el5dsrv Thu Nov 15 2007 
1195175437 redhat-admin-console-8.0.0-9.el5dsrv Thu Nov 15 2007 



Note You need to log in before you can comment on or make changes to this bug.